Bug 251135 (kf5-5.76.0) - [exp-run] Update KDE Frameworks to 5.76.0
Summary: [exp-run] Update KDE Frameworks to 5.76.0
Status: Closed FIXED
Alias: kf5-5.76.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-14 14:22 UTC by Tobias C. Berner
Modified: 2020-11-23 18:49 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (139.97 KB, patch)
2020-11-14 14:22 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2020-11-14 14:22:03 UTC
Created attachment 219678 [details]
v1

Moin moin 

kde@ would like an exp-run to upgrade KDE Frameworks to 5.76.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/kf5-5.76.0.v1.diff

mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2020-11-23 18:28:03 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2020-11-23 18:47:54 UTC
A commit references this bug:

Author: tcberner
Date: Mon Nov 23 18:46:58 UTC 2020
New revision: 556116
URL: https://svnweb.freebsd.org/changeset/ports/556116

Log:
  Update KDE Frameworks to 5.76

  November 07, 2020. KDE today announces the release of KDE Frameworks 5.76.0.

  KDE Frameworks are 70 addon libraries to Qt which provide a wide variety of
  commonly needed functionality in mature, peer reviewed and well tested
  libraries with friendly licensing terms. For an introduction see the KDE
  Frameworks release announcement.

  This release is part of a series of planned monthly releases making
  improvements available to developers in a quick and predictable manner.

  Announcement:
  	https://kde.org/announcements/kde-frameworks-5.76.0/

  PR:		251135
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/kde.mk
  head/archivers/kf5-karchive/distinfo
  head/devel/kf5-extra-cmake-modules/distinfo
  head/devel/kf5-extra-cmake-modules/pkg-plist
  head/devel/kf5-kapidox/distinfo
  head/devel/kf5-kauth/distinfo
  head/devel/kf5-kbookmarks/distinfo
  head/devel/kf5-kcmutils/distinfo
  head/devel/kf5-kcmutils/pkg-plist
  head/devel/kf5-kconfig/distinfo
  head/devel/kf5-kcoreaddons/distinfo
  head/devel/kf5-kcrash/distinfo
  head/devel/kf5-kdbusaddons/distinfo
  head/devel/kf5-kdeclarative/distinfo
  head/devel/kf5-kdoctools/distinfo
  head/devel/kf5-kdoctools/pkg-plist
  head/devel/kf5-kfilemetadata/distinfo
  head/devel/kf5-ki18n/distinfo
  head/devel/kf5-kidletime/distinfo
  head/devel/kf5-kio/distinfo
  head/devel/kf5-kio/pkg-plist
  head/devel/kf5-kitemmodels/distinfo
  head/devel/kf5-knewstuff/distinfo
  head/devel/kf5-knotifications/distinfo
  head/devel/kf5-knotifyconfig/distinfo
  head/devel/kf5-kpackage/distinfo
  head/devel/kf5-kparts/distinfo
  head/devel/kf5-kpeople/distinfo
  head/devel/kf5-kpty/distinfo
  head/devel/kf5-kservice/distinfo
  head/devel/kf5-kservice/pkg-plist
  head/devel/kf5-ktexteditor/distinfo
  head/devel/kf5-kunitconversion/distinfo
  head/devel/kf5-solid/distinfo
  head/devel/kf5-threadweaver/distinfo
  head/dns/kf5-kdnssd/distinfo
  head/graphics/kf5-kimageformats/distinfo
  head/graphics/kf5-kplotting/distinfo
  head/graphics/kf5-kquickcharts/distinfo
  head/graphics/kf5-prison/distinfo
  head/lang/kf5-kross/distinfo
  head/misc/kf5-purpose/distinfo
  head/misc/kf5-purpose/pkg-plist
  head/multimedia/kf5-kmediaplayer/distinfo
  head/net/kf5-kcalendarcore/distinfo
  head/net/kf5-kcontacts/distinfo
  head/net/kf5-kdav/distinfo
  head/net/kf5-kholidays/distinfo
  head/net/kf5-kxmlrpcclient/distinfo
  head/net/kf5-syndication/distinfo
  head/security/kf5-kdesu/distinfo
  head/sysutils/kf5-baloo/distinfo
  head/sysutils/kf5-baloo/pkg-plist
  head/sysutils/kf5-kwallet/distinfo
  head/textproc/kf5-kcodecs/distinfo
  head/textproc/kf5-sonnet/distinfo
  head/textproc/kf5-syntax-highlighting/distinfo
  head/www/kf5-kdewebkit/distinfo
  head/www/kf5-khtml/distinfo
  head/www/kf5-kjs/distinfo
  head/www/kf5-kjsembed/distinfo
  head/x11/kf5-frameworkintegration/distinfo
  head/x11/kf5-kactivities/distinfo
  head/x11/kf5-kactivities-stats/distinfo
  head/x11/kf5-kded/distinfo
  head/x11/kf5-kdelibs4support/distinfo
  head/x11/kf5-kglobalaccel/distinfo
  head/x11/kf5-kglobalaccel/pkg-plist
  head/x11/kf5-kinit/distinfo
  head/x11/kf5-krunner/distinfo
  head/x11/kf5-kwayland/distinfo
  head/x11/kf5-kwindowsystem/distinfo
  head/x11/kf5-plasma-framework/distinfo
  head/x11/kf5-plasma-framework/pkg-plist
  head/x11-themes/kf5-breeze-icons/distinfo
  head/x11-themes/kf5-breeze-icons/files/patch-CMakeLists.txt
  head/x11-themes/kf5-breeze-icons/pkg-plist
  head/x11-themes/kf5-kemoticons/distinfo
  head/x11-themes/kf5-kiconthemes/distinfo
  head/x11-themes/kf5-oxygen-icons5/distinfo
  head/x11-themes/kf5-qqc2-desktop-style/distinfo
  head/x11-themes/kf5-qqc2-desktop-style/files/
  head/x11-themes/kf5-qqc2-desktop-style/pkg-plist
  head/x11-toolkits/kf5-attica/distinfo
  head/x11-toolkits/kf5-kcompletion/distinfo
  head/x11-toolkits/kf5-kconfigwidgets/distinfo
  head/x11-toolkits/kf5-kdesignerplugin/distinfo
  head/x11-toolkits/kf5-kguiaddons/distinfo
  head/x11-toolkits/kf5-kirigami2/distinfo
  head/x11-toolkits/kf5-kitemviews/distinfo
  head/x11-toolkits/kf5-kjobwidgets/distinfo
  head/x11-toolkits/kf5-ktextwidgets/distinfo
  head/x11-toolkits/kf5-kwidgetsaddons/distinfo
  head/x11-toolkits/kf5-kxmlgui/distinfo
Comment 3 Tobias C. Berner freebsd_committer 2020-11-23 18:49:20 UTC
Committed. Thanks for the exp-run.